#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		wx
%define		majvers		%(echo %{version} | cut -d '.' -f1-2)
#-----------------------------------------------------------------------------
Name		:	wxWidgets
Version		:	3.2.5
Release		:	17.0.10.rel%{?dist}
Summary		:	A cross-platform C++ framework for writing advanced GUI applications using native controls.
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPL
URL		:	https://github.com/wxWidgets/wxWidgets

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	glu-devel
BuildRequires	:	gst-plugins-bad-devel
BuildRequires	:	libmspack-devel
BuildRequires	:	libnotify
BuildRequires	:	msgpack
BuildRequires	:	gtk3+
BuildRequires	:	SDL2
BuildRequires	:	webkit2gtk4.1-devel

Provides	:	wxGTK
#-----------------------------------------------------------------------------
%description
'%{name}' allows you to write native-looking GUI applications
for all the major desktop platforms and also helps with abstracting
the differences in the non-GUI aspects between them. It is free
for the use in both open source and commercial applications, comes
with the full, easy to read and modify, source and extensive
documentation and a collection of more than a hundred examples. 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.md
%{_bindir}/%{sname}-config
%{_bindir}/%{sname}rc
%{_bindir}/%{sname}rc-%{majvers}
%{_includedir}/%{sname}-%{majvers}/%{sname}/*impl.cpp
%{_includedir}/%{sname}-%{majvers}/%{sname}/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/android/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/aui/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/dfb/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/dfb/private/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/generic/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/generic/private/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/gtk/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/gtk/private/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/gtk1/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/gtk1/private/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/gtk/gnome/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/html/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/meta/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/motif/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/motif/private/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/msw/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/msw/*.bmp
%{_includedir}/%{sname}-%{majvers}/%{sname}/msw/*.cur
%{_includedir}/%{sname}-%{majvers}/%{sname}/msw/*.ico
%{_includedir}/%{sname}-%{majvers}/%{sname}/msw/ole/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/msw/private/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/msw/rt/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/msw/rt/private/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/msw/wrl/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/msw/wx*
%{_includedir}/%{sname}-%{majvers}/%{sname}/osx/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/osx/private/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/osx/carbon/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/osx/carbon/private/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/osx/cocoa/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/osx/cocoa/private/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/osx/core/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/osx/core/private/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/osx/iphone/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/osx/iphone/private/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/persist/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/private/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/propgrid/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/protocol/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/qt/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/qt/private/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/ribbon/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/richtext/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/richtext/bitmaps/image_*.xpm
%{_includedir}/%{sname}-%{majvers}/%{sname}/stc/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/univ/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/unix/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/unix/private/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/x11/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/x11/private/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/x11/nanox/X11/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/xml/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/xrc/*.h
%{_libdir}/lib%{sname}_*.so*
%{_libdir}/cmake/%{name}/%{name}*.cmake
%{_libdir}/%{sname}/config/gtk3-unicode-%{majvers}
%{_libdir}/%{sname}/include/gtk3-unicode-%{majvers}/%{sname}/setup.h
%{_libdir}/%{sname}/%{majvers}/web-extensions/webkit2*.so
#{_libdir}/%{sname}/%{version}/web-extensions/*.so
#{_datadir}/aclocal/%{sname}win.m4
#{_datadir}/bakefile/presets/%{sname}.bkl
#{_datadir}/bakefile/presets/%{sname}_*.{bkl,py}

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-B _bld						\
	-S .						\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D CMAKE_BUILD_TYPE=None			\
	-D wxBUILD_TOOLKIT=gtk3				\
	-D wxUSE_OPENGL=ON				\
	-D wxUSE_REGEX=sys				\
	-D wxUSE_ZLIB=sys				\
	-D wxUSE_EXPAT=sys				\
	-D wxUSE_LIBJPEG=sys				\
	-D wxUSE_LIBPNG=sys				\
	-D wxUSE_LIBTIFF=sys				\
	-D wxUSE_LIBLZMA=sys				\
	-D wxUSE_NANOSVG=sys				\
	-D wxUSE_LIBMSPACK=sys				\
	-D wxUSE_LIBSDL=sys				\
	-D wxUSE_NANOSVG=OFF				\
	-D wxUSE_PRIVATE_FONTS=ON			\
	-D wxUSE_GTKPRINT=ON 				\

cmake							\
	--build _bld					\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)\
	

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	cmake						\
	--install					\
	_bld

#-----------------------------------------------------------------------------
%changelog
